"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-11.0-arm64-cpython-312/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x106a92340>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x106a923e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x106a92480>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x106a92520>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x106a925c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x106a92660>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x106a92700>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106a927a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106a92840>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106a928e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x106a92980>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x106a92a20>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x106a92ac0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x106a92b60>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x106a92c00>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x106a92ca0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x106a92d40>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x106a92de0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x106a92e80>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x106a92f20>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x106a92fc0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x106a93060>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x106a93100>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x106a931a0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x106a93240>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x106a932e0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x106a93380>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x106a93420>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x106a934c0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x106a93560>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x106a93600>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x106a936a0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x106a93740>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x106a937e0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x106a93880>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x106a93920>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x106a939c0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x106a93a60>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x106a93b00>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x106a93ba0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x106a93c40>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x106a93ce0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x106a93d80>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x106a93e20>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x106a93ec0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x106a93f60>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4040>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x106ad40e0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4180>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4220>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x106ad42c0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4360>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4400>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x106ad44a0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4540>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x106ad45e0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4680>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4720>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x106ad47c0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4860>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4900>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x106ad49a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4a40>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4ae0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4b80>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4c20>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4cc0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4d60>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4e00>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4ea0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4f40>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x106ad4fe0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x106ad5080>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x106ad5120>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x106ad51c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x106ad5260>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x106ad5300>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x106ad53a0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x106ad5440>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x106ad54e0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x106ad5620>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x106ad5580>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x106ad56c0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x106ad5760>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x106ad5800>)]
name: str = 'fr_HOCCN'
